clang-tools 6.0.0

Public Member Functions | List of all members
clang::tidy::utils::UsingInserter Class Reference

`#include <UsingInserter.h>`

## Public Member Functions
| UsingInserter (const SourceManager &SourceMgr)
llvm::Optional< FixItHint > | createUsingDeclaration (ASTContext &Context, const Stmt &Statement, llvm::StringRef QualifiedName)
llvm::StringRef | getShortName (ASTContext &Context, const Stmt &Statement, llvm::StringRef QualifiedName)

## Detailed Description

Definition at line 26 of file UsingInserter.h.

## Constructor & Destructor Documentation

## ◆ UsingInserter()

clang::tidy::utils::UsingInserter::UsingInserter | ( | const SourceManager & | SourceMgr | ) |

Definition at line 30 of file UsingInserter.cpp.

## Member Function Documentation

## ◆ createUsingDeclaration()

Optional< FixItHint > clang::tidy::utils::UsingInserter::createUsingDeclaration | ( | ASTContext & | Context,
|  | const Stmt & | Statement,
|  | llvm::StringRef | QualifiedName
| ) |  |

Definition at line 33 of file UsingInserter.cpp.

## ◆ getShortName()

StringRef clang::tidy::utils::UsingInserter::getShortName | ( | ASTContext & | Context,
|  | const Stmt & | Statement,
|  | llvm::StringRef | QualifiedName
| ) |  |

Definition at line 78 of file UsingInserter.cpp.

The documentation for this class was generated from the following files:

- UsingInserter.h
- UsingInserter.cpp